routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [\App\Http\Controllers\HomeController::class, 'index']);


Auth::routes();
Route::get('login', [\App\Http\Controllers\Auth\LoginController::class,'showLoginForm'])->name('login');
Route::post('login', [\App\Http\Controllers\Auth\LoginController::class,'login']);
Route::get('logout', [\App\Http\Controllers\Auth\LoginController::class,'logout'])->name('logout');

Route::middleware('auth')->prefix('profile')->namespace('panel')->group(function () {
    Route::get('/', [\App\Http\Controllers\UserController::class, 'index'])->name('profile');
    Route::resource('questions', 'QuestionController');
});
Route::resource('questions', 'Web\QuestionController', ['as' => 'web']);
Route::resource('answers', 'Web\AnswerController', ['as' => 'web']);

resources/views/web/question.blade.php
@extends('layouts.app')


@section('css')
    <link rel="stylesheet" href="{{ asset('student-panel/css/app.css') }}">
@endsection

@section('content')

    <div class="main-panel rtl">
        <div class="main-content">
            <div class="content-wrapper">
                <div class="container-fluid">
                    <section id="configuration">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="card-title-wrap bar-success">
                                            <h4 class="card-title font-weight-bold">{{ $question->title }}</h4>
                                        </div>
                                    </div>
                                    <div class="card-body collapse show">
                                        <div class="card-block card-dashboard">
                                            <p>
                                                {{ $question->desc }}
                                            </p>
                                        </div>
                                    </div>
                                </div>

                                <div class="card-body collapse show bg-eee">
                                    <div class="card-block card-dashboard">
                                        @foreach($question->answers as $answer)
                                            <div class="card p-3">
                                                <div class="card-body">
                                                    <h5 class="card-title">{{ $answer->user->name }}</h5>
                                                    <p class="card-text">{{ $answer->desc }}</p>
                                                    {{--                                                    <a href="#" class="btn btn-primary">Button</a>--}}
                                                </div>
                                            </div>
                                        @endforeach

                                        @guest
                                            <div class="text-center bg-grey p-1">
                                                برای ارسال پاسخ باید
                                                <a href="{{ route('login') }}" ><strong class="text-danger"> وارد </strong></a>
                                                شوید
                                            </div>
                                        @else
                                            <form class="form form-horizontal" action="{{ route('web.answers.store') }}" method="post">
                                                @csrf
                                                <input type="hidden" name="question_id" value="{{ $question->id }}">
                                                <div class="form-body">

                                                    <div class="form-group row text">
                                                        <label class="col-md-3 label-control" for="projectinput9">
                                                            پاسخ شما :
                                                        </label>
                                                        <div class="col-md-6">
                                                            <textarea id="projectinput9" rows="10" class="form-control"
                                                                      name="desc"></textarea>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-md-3" >

                                                        </div>
                                                        <div class="col-md-6 text-center" for="projectinput9">
                                                            <button type="submit" class="btn btn-success green-gradient  w-25">
                                                                ارسال پاسخ
                                                            </button>
                                                        </div>

                                                    </div>
                                                </div>
                                            </form>
                                        @endguest

                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/web/questions.blade.php
@extends('layouts.app')

@section('content')
    <div class="main-panel">
        <div class="main-content">
            <div class="content-wrapper">
                <div class="container-fluid">
                    <section id="configuration">
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-header">
                                        <div class="card-title-wrap bar-success">
                                            <h4 class="card-title">همه سوالات</h4>
                                        </div>
                                    </div>
                                    <div class="card-body collapse show">
                                        <div class="card-block card-dashboard">
                                            <table class="table table-striped table-bordered zero-configuration">
                                                <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>متن سوال</th>
                                                </tr>
                                                </thead>
                                                <tbody>

                                                @foreach($questions as $key => $question)
                                                        <tr>
                                                            <td>{{ $key }}</td>
                                                            <td>
                                                                <a href="{{ route('web.questions.show', ['question' => $question->id]) }}">
                                                                    {{ $question->title }}
                                                                </a>
                                                            </td>
                                                        </tr>
                                                @endforeach
                                                </tbody>
{{--                                                <tfoot>--}}
{{--                                                <tr>--}}
{{--                                                    <th>نام</th>--}}
{{--                                                    <th>موقعیت</th>--}}
{{--                                                    <th>اداره</th>--}}
{{--                                                    <th>سن</th>--}}
{{--                                                    <th>تاریخ شروع</th>--}}
{{--                                                    <th>حقوق</th>--}}
{{--                                                </tr>--}}
{{--                                                </tfoot>--}}
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </div>
    </div>

@endsection